Page MenuHomePhabricator

Record more details about where a write is taking place while holding a cluster lock
ClosedPublic

Authored by epriestley on Apr 18 2016, 3:30 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Aug 8, 11:19 PM
Unknown Object (File)
Mon, Aug 8, 11:19 PM
Unknown Object (File)
Mon, Aug 8, 11:19 PM
Unknown Object (File)
Mon, Aug 8, 11:19 PM
Unknown Object (File)
Sun, Aug 7, 1:58 AM
Unknown Object (File)
Sat, Jul 30, 1:35 AM
Unknown Object (File)
Jul 15 2022, 8:45 AM
Unknown Object (File)
Jul 1 2022, 11:44 AM
Subscribers
None

Details

Summary

Ref T4292. This will let the UI and future bin/repository tools give administrators more tools to understand problems when reporting or resolving them.

Test Plan
  • Pushed fully clean repository.
  • Pushed previously-pushed repository.
  • Forced write to abort, inspected useful information in the database.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Record more details about where a write is taking place while holding a cluster lock.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad edited edge metadata.
This revision is now accepted and ready to land.Apr 18 2016, 4:28 PM
This revision was automatically updated to reflect the committed changes.